Subject: Re: bug#5054: 23.1.50; buffer-menu truncated fields

From: Juri Linkov <[email-masked]>
Date: Sat, 09 Jan 2010 19:50:34 +0200

> Does the weird behavior of `man' result from the fact that it doesn't
> know what to display in the new window until formatting completes?

Yes, and the only reasonable way to fix this weirdness is to do what
other similar Emacs commands do (e.g. `compile' and `grep'): first display
the output buffer, and later when the formatted output is ready, put it
to this buffer.  Just imagine how unfriendly it would be if `compile'/`grep'
worked like `man' currently works by waiting while the shell command is
finished, and then suddenly popping up the output buffer!

-- 
Juri Linkov
http://www.jurta.org/emacs/